Bug 470536 - Add wildcard alias support for kmod updates in RHEL5.2
Add wildcard alias support for kmod updates in RHEL5.2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: module-init-tools (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jon Masters
BaseOS QE
: ZStream
Depends On: 460046
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-07 10:53 EST by Jon Masters
Modified: 2009-01-20 08:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* depmod configuration files allow end users to override a specific set of kernel modules with external replacements via /etc/depmod.d. However, module-init-tools did not correctly handle "override" statements in the depmod.conf file could only override modules for all installed versions of a kernel. Consequently, it was not possible to deliver driver update RPMs targeted to specific kernel versions. This updated package makes kernel version matching far more kernel-version specific and allows end-users to specify kernel module replacements for a specific set of installed kernels using wildcards in the configuration file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 08:56:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Masters 2008-11-07 10:53:31 EST
Description of problem:

Existing depmod configuration files allow for one to override a specific set of Red Hat supplied kernel modules with external replacements using a depmod.conf file (one specific to the driver via /etc/depmod.d). But these files prior to RHEL5.3 can only override all or nothing - there is no ability to target a specific wildcard set of kernels. This was added to 5.3 and is required in 5.2 in order to correctly deliver targeted driver update RPMs.
Comment 4 Ruediger Landmann 2009-01-18 18:38:41 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* depmod configuration files allow end users to override a specific set of kernel modules with external replacements via /etc/depmod.d. However, module-init-tools did not correctly handle "override" statements in the depmod.conf file could only override modules for all installed versions of a kernel. Consequently, it was not possible to deliver driver update RPMs targeted to specific kernel versions. This updated package makes kernel version matching far more kernel-version specific and allows end-users to specify kernel module replacements for a specific set of installed kernels using wildcards in the configuration file.
Comment 5 Jon Masters 2009-01-18 21:57:18 EST
Looks fine.
Comment 8 errata-xmlrpc 2009-01-20 08:56:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0056.html

Note You need to log in before you can comment on or make changes to this bug.